5

boost with cmake

view full story
linux-howto

http://forums.fedoraforum.org – I installed a toolkit (RDKit for computational chemistry, if you're interested) and one of the dependencies is Boost. I have a Fedora 12 install which provides Boost 1.39, but I thought I would go ahead and download Boost 1.41, build it, and link the toolkit against it. Just trying to be uber-up to date, right? In the process, it seems that cmake was referring to the 1.41 includes but still referring to the 1.39 libraries, obviously causing issues. I'm using cmake 2.8-patch 4, by the way. How do I force cmake to properly refer to the 1.41 libraries? I didn't want to remove Boost 1.39 as I'm sure there are layers of dependencies - am I just asking for trouble building and installing 1.41? Any suggestions are appreciated. -Kirk (HowTos)